import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { ArticleDetailsCmsService } from "./article-details-cms.service";
import { ArticleDetailsCmsDto } from "./dto/article-details-cms.dto";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";

@Controller({ path: "article-details-cms", version: Constants.API_VERSION_1 })
export class ArticleDetailsCmsController {
    constructor(private readonly service: ArticleDetailsCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: ArticleDetailsCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    findAll() {
        return this.service.findAll();
    }
}
