import { EntityRepository, Repository } from "typeorm";
import { UpdateHomePageSectionNineCmsDto } from "./dto/update-home-page-section-nine-cms.dto";
import { HomePageSectionNineCms } from "./entities/home-page-section-nine-cms.entity";

@EntityRepository(HomePageSectionNineCms)
export class HomePageSectionNineCmsRepository extends Repository<HomePageSectionNineCms> {

    async createEntity(dto: UpdateHomePageSectionNineCmsDto): Promise<HomePageSectionNineCms | Error> {
        try {
            const entity = this.create({
                titleOne: dto.titleOne,
                titleTwo: dto.titleTwo,
                subTitle: dto.subTitle
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHomePageSectionNineCmsDto, id: string): Promise<HomePageSectionNineCms | Error> {
        try {
            await this.update(id, {
                titleOne: dto.titleOne,
                titleTwo: dto.titleTwo,
                subTitle: dto.subTitle
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageSectionNineCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}