import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { UpdateOrCreateStaticSiteMapCmsDto } from "./dto/update-or-create-static-site-map-cms.dto";
import { StaticSiteMapCmsService } from "./static-site-map-cms.service";

@Controller({ path: "static-site-map-cms", version: Constants.API_VERSION_1 })
export class StaticSiteMapCmsController {
    constructor(private readonly service: StaticSiteMapCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(@Body() dto: UpdateOrCreateStaticSiteMapCmsDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Post("generate-site-map")
    @UseGuards(AdminAuthGuard)
    generateSitemap(@Body() dto: UpdateOrCreateStaticSiteMapCmsDto) {
        return this.service.generateSitemap(dto);
    }

    @Get()
    findAll() {
        return this.service.findAll();
    }
}
