import { Module } from "@nestjs/common";
import { TypeOrmModule } from "@nestjs/typeorm";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { StaticSiteMapCmsRepository } from "./static-site-map-cms.repository";
import { StaticSiteMapCmsController } from "./static-site-map-cms.controller";
import { StaticSiteMapCmsService } from "./static-site-map-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([StaticSiteMapCmsRepository])
    ],
    controllers: [StaticSiteMapCmsController],
    providers: [StaticSiteMapCmsService, JwtHelper]
})
export class StaticSiteMapCmsModule {
}