import { EntityRepository, Repository } from "typeorm";
import { UpdateOrCreateStaticSiteMapCmsDto } from "./dto/update-or-create-static-site-map-cms.dto";
import { StaticSiteMapCmsEntity } from "./entities/static-site-map-cms.entity";

@EntityRepository(StaticSiteMapCmsEntity)
export class StaticSiteMapCmsRepository extends Repository<StaticSiteMapCmsEntity> {

    async createEntity(dto: UpdateOrCreateStaticSiteMapCmsDto): Promise<StaticSiteMapCmsEntity | Error> {
        try {
            const entity = this.create({ ...dto });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateOrCreateStaticSiteMapCmsDto, id: string): Promise<StaticSiteMapCmsEntity | Error> {
        try {
            await this.update(id, { ...dto });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<StaticSiteMapCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}