import { Module } from "@nestjs/common";
import { TypeOrmModule } from "@nestjs/typeorm";
import { BlogCategoryRepository } from "./blog-category.repository";
import { BlogCategoryController } from "./blog-category.controller";
import { BlogCategoryService } from "./blog-category.service";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository, BlogCategoryRepository])
    ],
    controllers: [BlogCategoryController],
    providers: [
        BlogCategoryService,
        JwtHelper
    ]
})
export class BlogCategoryModule {
}
