import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { AboutPageUiService } from "./about-page-ui.service";
import { UpdateAboutPageUiDto } from "./dto/update-about-page-ui.dto";

@Controller({ path: "about-component-ui", version: Constants.API_VERSION_1 })

export class AboutPageUiController {
    constructor(private readonly service: AboutPageUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateAboutPageUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
