import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { FeaturedBrandController } from "./featured-brand.controller";
import { FeaturedBrandRepository } from "./featured-brand.repository";
import { FeaturedBrandService } from "./featured-brand.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([FeaturedBrandRepository])
    ],
    controllers: [FeaturedBrandController],
    providers: [FeaturedBrandService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class FeaturedBrandModule {
}
